package xyz.lychee.lagfixer.libs.adventure.util;

import xyz.lychee.lagfixer.libs.annotations.NotNull;
import xyz.lychee.lagfixer.libs.annotations.Range;

public interface RGBLike {
   @Range(
   from = 0L,
   to = 255L
) int red();

   @Range(
   from = 0L,
   to = 255L
) int green();

   @Range(
   from = 0L,
   to = 255L
) int blue();

   default @NotNull HSVLike asHSV() {
      return HSVLike.fromRGB(this.red(), this.green(), this.blue());
   }
}
